package com.gh.gamecenter.servers.gametest2

import android.content.Context
import android.content.Intent
import android.os.Bundle
import com.gh.gamecenter.R
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.constant.EntranceConsts
import com.gh.gamecenter.common.utils.updateStatusBarColor

class GameServerTestV2Activity : ToolBarActivity() {

    override fun onCreate(savedInstanceState: Bundle?) {
        super.onCreate(savedInstanceState)
        updateStatusBarColor(R.color.background_white, R.color.background_white)
        setNavigationTitle("新游开测")
    }

    override fun provideNormalIntent(): Intent {
        return getTargetIntent(this, GameServerTestV2Activity::class.java, GameServerTestV2Fragment::class.java)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(R.color.background_white, R.color.background_white)
    }

    companion object {
        fun getIntent(context: Context, entrance: String): Intent {
            val bundle = Bundle()
            bundle.putString(EntranceConsts.KEY_ENTRANCE, entrance)
            return getTargetIntent(
                context,
                GameServerTestV2Activity::class.java,
                GameServerTestV2Fragment::class.java,
                bundle
            )
        }
    }
}